Subject: Re: [PATCH net-next 0/4] mptcp: various small improvements

From: Jakub Kicinski <[email-masked]>
Date: Tue, 29 Oct 2024 16:50:16 -0700

On Mon, 21 Oct 2024 17:14:02 +0200 Matthieu Baerts (NGI0) wrote:
> The following patches are not related to each other.
> 
> - Patch 1: Avoid sending advertisements on stale subflows, reducing
>   risks on loosing them.
> 
> - Patch 2: Annotate data-races around subflow->fully_established, using
>   READ/WRITE_ONCE().
> 
> - Patch 3: A small clean-up on the PM side, avoiding a bit of duplicated
>   code.
> 
> - Patch 4: Use "Middlebox interference" MP_TCPRST code in reaction to a
>   packet received without MPTCP options in the middle of a connection.

Could be a coincidence but looks like we got two flakes in mptcp-join
since yesterday (different sub-cases). What's more sad is that it looks
like our subcase parsing is broken, when I look at the subcase view
all sub-cases are marked as passing :( Could you take a look?